View Single Post
  #4  
Old 14th October 2006, 01:36
jsabarese jsabarese is offline
Member
 
Join Date: Jun 2006
Posts: 33
Thanks: 0
Thanked 1 Time in 1 Post
Default Update:

discovery!
i know now which of the files i CHMOD to 666.

i tried launching Picasa (for investigative, not leisurely practice), which again (just as before) shows
Quote:
Originally Posted by Picasa for Linux
/dev/nvidia0 or /dev/nvidiactl are not accessable. Picasa will crash if these files are not accessable. To fix this, as root, please run: chmod 666 /dev/nvidia0 /dev/nvidiactl
does this mean anything to anyone here-- particularly in regard to why my video module installation would cause this CHMOD request from Picasa?

NOTE: What i keep getting from all of this is that i need to either :
1). install the software for the '2.6.17-1.2187_FC5' kernel, and (however it is done, i don't know, but...) then get back to that kernel. i'm currently in 2.6.17-1.2157_FC5
- OR -
2.) install the software for the 2.6.17-1.2157_FC5 kernel -- which i've had difficulty doing because 'yum' and such seem to only install for the .2187 kernel.
(grrr... why is this so impossible?!?)

also, note the other steps i've taken since i last updated this situation here at howtoforge.com . this represents my actions based on suggestion from advice i found here and there this evening at other on-line resources. i still haven't been able to fix this problem. my most recent attempts have been as follows, in order:
Code:
Removing:
 xorg-x11-drv-nvidia     i386       1.0.8774-1.lvn5  installed          12 M
Removing for dependencies:
 kmod-nvidia             i686       1.0.8774-1.2.6.17_1.2187_FC5  installed         4.9 M
to which i replied 'Y'
...and after that successful action, :
Code:
Reading repository metadata in from local files
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for kmod-nvidia-legacy to pack into transaction set.
kmod-nvidia-legacy-1.0.71 100% |=========================|  15 kB    00:00
---> Package kmod-nvidia-legacy.i586 0:1.0.7184-2.2.6.17_1.2187_FC5 set to be installed
--> Running transaction check
--> Processing Dependency: kernel-i586 = 2.6.17-1.2187_FC5 for package: kmod-nvidia-legacy
--> Processing Dependency: nvidia-legacy-kmod-common >= 1.0.7184 for package: kmod-nvidia-legacy
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for kernel to pack into transaction set.
kernel-2.6.17-1.2187_FC5. 100% |=========================| 166 kB    00:05
---> Package kernel.i586 0:2.6.17-1.2187_FC5 set to be installed
---> Downloading header for xorg-x11-drv-nvidia-legacy to pack into transaction set.
xorg-x11-drv-nvidia-legac 100% |=========================|  22 kB    00:00
---> Package xorg-x11-drv-nvidia-legacy.i386 0:1.0.7184-2.lvn5 set to be updated
--> Running transaction check
--> Populating transaction set with selected packages. Please wait.
---> Package kernel.i686 0:2.6.17-1.2187_FC5 set to be erased
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 kmod-nvidia-legacy      i586       1.0.7184-2.2.6.17_1.2187_FC5  livna             1.3 M
Removing:
 kernel                  i686       2.6.17-1.2187_FC5  installed          37 M
Installing for dependencies:
 kernel                  i586       2.6.17-1.2187_FC5  updates            14 M
 xorg-x11-drv-nvidia-legacy  i386       1.0.7184-2.lvn5  livna             3.6 M

Transaction Summary
to which i also responded 'Y'
which turned out:
Code:
=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 kmod-nvidia-legacy      i586       1.0.7184-2.2.6.17_1.2187_FC5  livna             1.3 M
Removing:
 kernel                  i686       2.6.17-1.2187_FC5  installed          37 M
Installing for dependencies:
 kernel                  i586       2.6.17-1.2187_FC5  updates            14 M
 xorg-x11-drv-nvidia-legacy  i386       1.0.7184-2.lvn5  livna             3.6 M

Transaction Summary
=============================================================================
Install      3 Package(s)
Update       0 Package(s)
Remove       1 Package(s)
Total download size: 19 M
Is this ok [y/N]: y
Downloading Packages:
(1/3): kernel-2.6.17-1.21 100% |=========================|  14 MB    04:58
(2/3): kmod-nvidia-legacy 100% |=========================| 1.3 MB    00:15
(3/3): xorg-x11-drv-nvidi 100% |=========================| 3.6 MB    00:46
Running Transaction Test
Finished Transaction Test


Transaction Check Error:   package kernel-2.6.17-1.2187_FC5 is already installed
yum list n* shows:
Code:
nvidia-x11-drv.i386                      1.0.8774-3             freshrpms
yum list x* shows:
Code:
xorg-x11-drv-i810-devel.i386             1.4.1.3-3.1            core
xorg-x11-drv-tek4957.i386                1.0.0.1-1.2            core
xorg-x11-drv-via-devel.i386              0.1.33.2-2             core

[root@localhost ~]# yum info kmod-nvidia*
Loading "installonlyn" plugin
Setting up repositories
dries                                                                [1/7]
macromedia                                                           [2/7]
rpmforge                                                             [3/7]
core                                                                 [4/7]
updates                                                              [5/7]
freshrpms                                                            [6/7]
extras                                                               [7/7]
Reading repository metadata in from local files
[root@localhost ~]#
and finally my last transaction at the time of posting this was...
Code:
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package xorg-x11-drv-nvidia-legacy.i386 0:1.0.7184-2.lvn5 set to be updated
--> Running transaction check
--> Processing Dependency: nvidia-legacy-kmod >= 1.0.7184 for package: xorg-x11-drv-nvidia-legacy
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Downloading header for kmod-nvidia-legacy to pack into transaction set.
kmod-nvidia-legacy-1.0.71 100% |=========================|  15 kB    00:00
---> Package kmod-nvidia-legacy.i686 0:1.0.7184-2.2.6.17_1.2187_FC5 set to be updated
--> Running transaction check

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 xorg-x11-drv-nvidia-legacy  i386       1.0.7184-2.lvn5  livna             3.6 M
Installing for dependencies:
 kmod-nvidia-legacy      i686       1.0.7184-2.2.6.17_1.2187_FC5  livna             1.3 M

Transaction Summary
=============================================================================
Install      2 Package(s)
Update       0 Package(s)
Remove       0 Package(s)
Total download size: 4.8 M
Is this ok [y/N]: y
Downloading Packages:
(1/1): kmod-nvidia-legacy 100% |=========================| 1.3 MB    00:13
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: kmod-nvidia-legacy           ######################### [1/2]
FATAL: Could not open '/boot/System.map-2.6.17-1.2187_FC5': No such file or directory
  Installing: xorg-x11-drv-nvidia-legacy   ######################### [2/2]
FATAL: Module nvidia not found.

Installed: xorg-x11-drv-nvidia-legacy.i386 0:1.0.7184-2.lvn5
Dependency Installed: kmod-nvidia-legacy.i686 0:1.0.7184-2.2.6.17_1.2187_FC5
Complete!
[root@localhost ~]#
it looks to me like it keeps erring due to the *.2187_FC5 kernel
mine is (uname -r)2.6.17-1.2157_FC5

what am i missing / doing wrong? it's been recommended to me elsewhere that i
Quote:
Originally Posted by some-helpful-dude
Just reboot into runlevel 3, edit xorg.conf with vi and change driver to VESA.
but, after investigating, all i could find was my current run level, and the utmp file, which i couldn't open in gedit, so i don't know how to get into runlevel 3.

any other suggestions? i really appreciate all the help here.
thanks!!!

Last edited by jsabarese; 14th October 2006 at 01:49.
Reply With Quote